<?php

/**
* @Entity(repositoryClass="\Repositories\BookRepository")
* @Table(name="books")
*/
class Book {
	
	/**
	* @id
	* @Column(type="integer")
	* @GeneratedValue
	*/
	public $id;
	
	/**
	* @Column(type="string", name="title_book", length=32, unique=true, nullable=true)
	* @GeneratedValue
	*/
	public $title;
	
	/**
	* @Column(type="decimal",  nullable=true, precision=4, scale=2, options={"unsigned":true, "default":1.01,"comment":"For Price"})
	* @GeneratedValue
	*/
	public $price;
	
	/**
	* @Column(type="smallint", nullable=true)
	* @GeneratedValue
	*/
	public $pages;
	
	/**
	* @Column(type="bigint", nullable=true)
	* @GeneratedValue
	*/
	public $tirag;
	
	/**
	* @Column(type="boolean", nullable=true)
	* @GeneratedValue
	*/
	public $publish;
	
	/**
	* @Column(type="date", nullable=true)
	* @GeneratedValue
	*/
	public $created_at;
	
	/**
	* @Column(type="datetime", nullable=true)
	* @GeneratedValue
	*/
	public $updated_at;
	
	/**
	* @Column(type="text", nullable=true)
	* @GeneratedValue
	*/
	public $text;
	
	/**
	* @Column(type="object", nullable=true)
	* @GeneratedValue
	*/
	public $params;
	
	/**
	* @Column(type="array", nullable=true)
	* @GeneratedValue
	*/
	public $params_a;
	
	/**
	* @Column(type="simple_array", nullable=true)
	* @GeneratedValue
	*/
	public $params_s;
	
	/**
	* @Column(type="json_array", nullable=true)
	* @GeneratedValue
	*/
	public $params_j;
	
	/**
	 *@Column(type="blob", nullable=true) 
	*/
    public $ftext;
    
    /**
	 *@Column(type="float", nullable=true) 
	*/
    public $pice_opt;
	
}